import 'package:get/get_connect/http/src/response/response.dart';
import 'package:mighty_school/api_handle/api_client.dart';
import 'package:mighty_school/util/app_constants.dart';


class ParentEventRepository{
  final ApiClient apiClient;
  ParentEventRepository({required this.apiClient});


  Future<Response?> getEventList(int page) async {
    return await apiClient.getData("${AppConstants.childrenStudentEvents}?page=$page&perPage=10");
  }

}